(function (Drupal, drupalSettings) {

  'use strict';

  Drupal.behaviors.klaro = {
    attach: function attach(context) {
      if (drupalSettings.klaroConfig !== undefined && context === document) {
        // Open preferences
        let preferences = document.getElementById("klaro-preferences");
        if (drupalSettings.klaroConfig.apps !== undefined) {
          drupalSettings.klaroConfig.apps.forEach(function(value, index) {
            if (drupalSettings.klaroConfig.apps[index].callback !== undefined) {
              drupalSettings.klaroConfig.apps[index].callback = new Function(`return ${drupalSettings.klaroConfig.apps[index].callback}`)();
            }
          });
        }

        if (preferences !== null) {
          preferences.addEventListener("click", function (e) {
            e.preventDefault();
            klaro.show(drupalSettings.klaroConfig);
          });
        }
        // Render klaro
        klaro.renderKlaro(drupalSettings.klaroConfig);
      }
    },
  };
})(Drupal, drupalSettings);
